<?php
/**
 * 领导机构-二维码编辑
 * $Id: government_qr_edit.php,v 1.1 2020/01/03 11:18:46  Exp $
 * @author lixq
 * @package manager.public_html
 */
// 底层包含
require_once("manager_include.inc");

// 登录检查
require_once("check_login.inc");

// 权限检查
if (!checkAuthority("2")) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["left"] = "menu.inc";
	$layout_pages["right"] = "error.inc";
	$message = "权限不足，请联系系统管理员。";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
	exit;
}

// 参数取得
$id = ParamUtil::getRequestString("id");
$government_id = ParamUtil::getRequestString("government_id");
$government_title = ParamUtil::getRequestString("government_title");
$action_type = ParamUtil::getRequestString("action_type");

$government_qr_dat = new GovernmentQrDat();
if($action_type =="edit"){
  $government_qr_dat= GovernmentQrDat::getById($id);
  if ($government_qr_dat == null) {
    // エラー表示
    $message = "对象不存在.";
    $layout_pages = array();
    $layout_pages["left"] = "menu.inc";
    $layout_pages["right"] = "error.inc";
    require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
    exit;
  }
}

$qr_image = $government_qr_dat->qr_image;
$use_count = $government_qr_dat->use_count;
$max_count = $government_qr_dat->max_count;
$limit_date = $government_qr_dat->limit_date;
$qr_image = $government_qr_dat->qr_image;

$_SCRIPT_FILE = array("scripts/validators.js", "scripts/government_qr_edit_input.js");

// 页面表示
$layout_pages = array();
$layout_pages["left"] = "menu.inc";
$layout_pages["right"] = "government_qr_edit_input.inc";
$layout_pages["menu_clicked"] = "5-2";
require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
exit;